%define name	gramps
%define version 1.0.11
%define release 1mdk

Summary:	Genealogical Research and Analysis Management Programming System
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Sciences/Other
Source0:	http://download.sourceforge.net/gramps/%{name}-%{version}.tar.bz2
Source11:	%{name}-48.png
Source12:	%{name}-32.png
Source13:	%{name}-16.png
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
URL:		http://gramps.sourceforge.net
BuildRequires:	scrollkeeper >= 0.1.4 docbook-utils
BuildRequires:  gnome-python-gconf 
BuildRequires:  gnome-python-canvas
BuildRequires:  gnome-python-gnomevfs
BuildRequires:  pygtk2.0-libglade
BuildRequires:  libpython-devel
BuildRequires:  libgnome-vfs2-devel
BuildRequires:  XFree86-Xvfb
Requires:       gnome-python-gconf 
Requires:	gnome-python-canvas
Requires:	gnome-python-gnomevfs
Requires:	pygtk2.0-libglade

%description
gramps (Genealogical Research and Analysis Management Programming
System) is a GNOME based genealogy program supporting a Python
based plugin system.

%prep
%setup -q
sed -i 's/2\.2/2\.3/' configure

%build
XDISPLAY=$(i=2; while [ -f /tmp/.X$i-lock ]; do i=$(($i+1)); done; echo $i)
%{_prefix}/X11R6/bin/Xvfb :$XDISPLAY &
export DISPLAY=:$XDISPLAY
%configure2_5x
make
#kill $(cat /tmp/.X$XDISPLAY-lock)

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
rm -fr $RPM_BUILD_ROOT/var

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): \
command="%{_bindir}/%{name}" \
icon="%{name}.png" \
needs="X11" \
section="More Applications/Sciences/Other" \
title="GRAMPS" \
longtitle="Genealogy Program"
EOF

#icons
install -m644 %{SOURCE11} -D $RPM_BUILD_ROOT%{_liconsdir}/%{name}.png
install -m644 %{SOURCE12} -D $RPM_BUILD_ROOT%{_iconsdir}/%{name}.png
install -m644 %{SOURCE13} -D $RPM_BUILD_ROOT%{_miconsdir}/%{name}.png

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{update_menus}

%postun
if [ -x %{_bindir}/scrollkeeper-update ]; then %{_bindir}/scrollkeeper-update -q || true ; fi
%{clean_menus}

%files -f %{name}.lang
%defattr(-, root, root)

%doc README TODO

%{_bindir}/gramps
%{_libdir}/gramps
%{_datadir}/applications/gramps.desktop
%{_datadir}/gramps.desktop
%{_datadir}/pixmaps/*
%dir %{_datadir}/gramps
%{_datadir}/gramps/*
%{_menudir}/*
%{_datadir}/omf/gramps
%{_mandir}/man1/*
%{_liconsdir}/%{name}.png
%{_iconsdir}/%{name}.png
%{_miconsdir}/%{name}.png

%changelog
* Wed Mar 23 2005 Lenny Cartier <lenny@mandrakesoft.com> 1.0.11-1mdk
- from Emmanuel Andry <eandry@free.fr> : 
	- New release 1.0.11

* Wed Mar 09 2005 Per Øyvind Karlsen <peroyvind@linux-mandrake.com> 1.0.10-1mdk
- cosmetics
- fix summary-ended-with-dot
- from Emmanuel Andry <eandry@free.fr> :
	o New release 1.0.10

* Mon Nov  1 2004 Gtz Waschk <waschk@linux-mandrake.com> 1.0.8-1mdk
- fix file list
- New release 1.0.8

* Tue Aug 17 2004 Pascal Terjan <pterjan@mandrake.org> 1.0.7-1mdk
- New release 1.0.7

* Mon Aug  2 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.5-1mdk
- New release 1.0.5

* Thu Jun 17 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.4-1mdk
- New release 1.0.4

* Fri Apr 23 2004 Goetz Waschk <waschk@linux-mandrake.com> 1.0.3-1mdk
- New release 1.0.3

* Mon Apr  5 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.2-1mdk
- new version

* Thu Feb 19 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.1-1mdk
- new version

* Thu Feb 12 2004 Götz Waschk <waschk@linux-mandrake.com> 1.0.0-1mdk
- fix deps
- spec fixes
- new version

* Mon Dec  8 2003 Götz Waschk <waschk@linux-mandrake.com> 0.98.0-1mdk
- new version

* Wed Oct  8 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.5-1mdk
- new version

* Mon Oct  6 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.4-1mdk
- update file list
- fix installation
- adapt python 2.3 fix
- new version

* Mon Sep 22 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.3-3mdk
- simplify requires and buildrequires
- fix build without X

* Sat Sep 20 2003 Pascal Terjan <CMoi@tuxfamily.org> 0.9.3-2mdk
- patch for python 2.3

* Tue Jul 15 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.3-1mdk
- new version

* Tue Jun  3 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.2-3mdk
- another buildrequires fix

* Tue Jun  3 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.2-2mdk
- fix buildrequires

* Mon Jun  2 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.2-1mdk
- drop patch
- new version

* Tue Apr 22 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.1-1mdk
- remove the docs from the file list, that are not shipped anymore
- new version

* Fri Feb 28 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-2mdk
- fix requires 

* Thu Feb 20 2003 Götz Waschk <waschk@linux-mandrake.com> 0.9.0-1mdk
- bzip2 the patch
- needs gnome-python for gnome2
- use the right configure macro
- new version

* Thu Jan 30 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.8.1-2mdk
- rebuild

* Thu Jan 16 2003 Austin Acton <aacton@yorku.ca> 0.8.1-1mdk
- requires pygnome
- rm /var from buildroot
- 0.8.1

* Tue Oct 15 2002 Lenny Cartier <lenny@mandrakesoft.com>  0.8.0-3mdk
- from Per Øyvind Karlsen <peroyvind@delonic.no> :
	- Cleanups
	- Added icons from Charles A Edwards <eslrahc@bellsouth.net>
	- fix illegal locale dir error and BuildRequires(from Götz Waschk)
	- Clean $RPM_BUILD_ROOT
	- define macros in top, ver -> version, etc.

* Mon Oct  7 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 0.8.0-2mdk
- Cleanups 
- Fixed install

* Fri Oct  4 2002 Per Øyvind Karlsen <peroyvind@delonic.no> 0.8.0-1mdk
- Initial release
